(function($) {
	/**
	 * @license This file uses Google Suggest for jQuery plugin (licensed under
	 *          GPLv3) by Haochi Chen ( http://ihaochi.com )
	 */
	$.fn.googleSuggest = function(opts) {
		var services = {
			youtube : 'youtube',
			books : 'books',
			products : 'products',
			news : 'news',
			images : 'img',
			web : 'psy'
		};

		opts = $.extend( {
			service : 'web',
			secure : false
		}, opts);

		opts.source = function(request, response) {
			$.ajax( {
				url : 'http' + (opts.secure ? 's' : '') + '://clients1.google.com/complete/search',
				dataType : 'jsonp',
				data : {
					q : request.term,
					client : services[opts.service],
					nolabels : 't'
				},
				success : function(data) {
					response($.map(data[1], function(item) {
						return {
							value : $("<span>").html(item[0]).text()
						}
					}));
				}
			});
		};

		return this.each(function() {
			$(this).autocomplete(opts);
		});
	}
	$('#s,[name="s"]').googleSuggest();
})(jQuery);